Agents
About 1055 wordsAbout 4 min
Generated from
docs/.vuepress/openapi.json. Refresh withnpm run gen:api. Back to overview.
GET /api/v1/agents — Index Agent
Tags: Agents
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
POST /api/v1/agents — Store Agent
Tags: Agents
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
GET /api/v1/agents/{id} — Show Agent
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
PATCH /api/v1/agents/{id} — Update Agent
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
DELETE /api/v1/agents/{id} — Destroy Agent
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
GET /api/v1/agents/{id}/export — ExportAgent AgentTemplate
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
include_settings | boolean | no | Include non-secret settings from the agent-specific tool override rows. |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
POST /api/v1/agents/{id}/picture/image — UploadImage AgentPicture
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
DELETE /api/v1/agents/{id}/picture/image — DeleteImage AgentPicture
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
GET /api/v1/agents/{id}/scheduled-runs — Index ScheduledRun
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
POST /api/v1/agents/{id}/scheduled-runs — Store ScheduledRun
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
GET /api/v1/agents/{id}/scheduled-runs/{runId} — Show ScheduledRun
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
runId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
PUT /api/v1/agents/{id}/scheduled-runs/{runId} — Update ScheduledRun
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
runId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
DELETE /api/v1/agents/{id}/scheduled-runs/{runId} — Destroy ScheduledRun
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
runId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
POST /api/v1/agents/{id}/scheduled-runs/{runId}/trigger — Trigger ScheduledRun
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
runId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
GET /api/v1/agents/{id}/templates — Index PromptTemplate
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
POST /api/v1/agents/{id}/templates — Store PromptTemplate
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
GET /api/v1/agents/{id}/templates/{templateId} — Show PromptTemplate
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
templateId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
PUT /api/v1/agents/{id}/templates/{templateId} — Update PromptTemplate
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
templateId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
DELETE /api/v1/agents/{id}/templates/{templateId} — Destroy PromptTemplate
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
templateId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
GET /api/v1/agents/{id}/tools/operations — GetToolsOperations AgentTool
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
GET /api/v1/agents/{id}/tools/status — GetToolsStatus AgentTool
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
POST /api/v1/agents/{id}/tools/{toolId}/enable — EnableTool AgentTool
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
toolId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
DELETE /api/v1/agents/{id}/tools/{toolId}/enable — DisableTool AgentTool
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
toolId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
GET /api/v1/agents/{id}/tools/{toolId}/operations/{operation} — GetOperationOverride AgentOverride
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
toolId | string | yes | |
operation | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
PATCH /api/v1/agents/{id}/tools/{toolId}/operations/{operation} — PatchOperationOverride AgentOverride
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
toolId | string | yes | |
operation | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
GET /api/v1/agents/{id}/tools/{toolId}/override — GetOverride AgentOverride
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
toolId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
PUT /api/v1/agents/{id}/tools/{toolId}/override — PutOverride AgentOverride
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
toolId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
DELETE /api/v1/agents/{id}/tools/{toolId}/override — DeleteOverride AgentOverride
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
toolId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
GET /api/v1/agents/{id}/tools/{toolId}/status — GetToolStatus AgentTool
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
toolId | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |
POST /api/v1/agents/{id}/transfer — TransferPrincipal AgentTransfer
Tags: Agents
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes |
Responses
| Status | Description |
|---|---|
default | JSON envelope: {data: ...} on success, {error: {code, message}} on error. |